
"""Adds an external firewall appliance"""
from baseCmd import *
from baseResponse import *
class addExternalFirewallCmd (baseCmd):
    def __init__(self):
        self.isAsync = "false"
        """Password of the external firewall appliance."""
        """Required"""
        self.password = None
        """URL of the external firewall appliance."""
        """Required"""
        self.url = None
        """Username of the external firewall appliance."""
        """Required"""
        self.username = None
        """Zone in which to add the external firewall appliance."""
        """Required"""
        self.zoneid = None
        self.required = ["password","url","username","zoneid",]

class addExternalFirewallResponse (baseResponse):
    def __init__(self):
        """the ID of the external firewall"""
        self.id = None
        """the management IP address of the external firewall"""
        self.ipaddress = None
        """the number of times to retry requests to the external firewall"""
        self.numretries = None
        """the private interface of the external firewall"""
        self.privateinterface = None
        """the private security zone of the external firewall"""
        self.privatezone = None
        """the public interface of the external firewall"""
        self.publicinterface = None
        """the public security zone of the external firewall"""
        self.publiczone = None
        """the timeout (in seconds) for requests to the external firewall"""
        self.timeout = None
        """the usage interface of the external firewall"""
        self.usageinterface = None
        """the username that's used to log in to the external firewall"""
        self.username = None
        """the zone ID of the external firewall"""
        self.zoneid = None

